妖刀村正登场:
  Skills:
  - onAttack{auraName=妖刀村正;oT=樱花特效;d=200000;c=99999;i=30} @self
  - sendtitle{fadein=40;fadeout=40;duration=80;title=&x&e&5&2&b&5&0&o樱} @PIR{R=30}
樱花特效:
  Skills:
  - effect:particles{p=crimson_spore;a=500;hS=7;vS=7;y=0} @Self #这条特效要在1.16的游戏版本才能实现，你可以更改p=值

樱花斩:
  Skills:
  - orbital{oS=樱花斩oS;oT=樱花斩特效;oH=斩击命中;points=16;i=1;duration=20;r=2;oy=0.9;rx=0.4;hr=2;vr=2} @Self
樱花斩特效:
  Skills:
  - effect:particles{c=#FF69B4;a=20;vs=0.2;hs=0.2;s=2.5} @origin
斩击命中:
  Skills:
  - damage{a=3;pi=true}
  - throw{velocity=5;velocityY=4}
樱花斩oS:
  Skills:
  - effect:spin{duration=20;velocity=20} @self
  - potion{t=SLOW;d=20;l=100;hasParticles=false;hasIcon=false} @Self

妖刀村正防止风筝:
  Cooldown: 10
  Conditions:
  - eir{types=player;amount=0;radius=5;action=true}
  Skills:
  - potion{t=SLOW;d=40;l=100;hasParticles=false;hasIcon=false} @Self
  - sendtitle{fadein=20;fadeout=20;duration=20;title=&x&e&5&2&b&5&0&o你们为什么要跑 ？} @PIR{R=30}
  - delay 40
  - randomskill{skills=妖刀村正吸附,妖刀村正突刺斩}
妖刀村正吸附:
  Skills:
  - sendtitle{fadein=10;fadeout=10;duration=20;title=&x&e&5&2&b&5&0&o给我过来吧 ！} @PIR{R=30}
  - effect:particles{c=#FFC0CB;a=500;hS=7;vS=0;y=0} @Self
  - pull{velocity=10} @PIR{R=15}
妖刀村正突刺斩:
  Skills:
  - sendtitle{fadein=10;fadeout=10;duration=20;title=&x&e&5&2&b&5&0&o我来找你玩儿吧 ！} @PIR{R=30}
  - jump{velocity=0.01} @self
  - delay 1
  - leap{velocity=500} @target
  - orbital{oT=樱花斩特效;oH=斩击命中;points=16;i=1;duration=20;r=2;oy=0.9;rx=0.4;hr=2;vr=2;vx=2} @Self

妖刀村正连斩:
  Cooldown: 30
  Skills:
  - sendtitle{fadein=10;fadeout=10;duration=20;title=&x&e&5&2&b&5&0&o- 连 - 斩 -} @PIR{R=30}
  - delay 10
  - orbital{oT=樱花斩特效;oH=斩击命中;points=16;i=1;duration=20;r=1.5;oy=0.9;rx=0.4;hr=2;vr=2;vx=1} @Self
  - jump{velocity=0.01} @self
  - delay 1
  - leap{velocity=400} @target
  - delay 10
  - orbital{oT=樱花斩特效;oH=斩击命中;points=16;i=1;duration=20;r=2;oy=0.9;rx=0.8;hr=2;vr=2;vx=2} @Self
  - jump{velocity=0.01} @self
  - delay 1
  - leap{velocity=400} @target
  - delay 10
  - orbital{oT=樱花斩特效;oH=斩击命中;points=16;i=1;duration=20;r=2;oy=0.9;rx=-0.5;hr=2;vr=2;vx=3} @Self
  - jump{velocity=0.01} @self
  - delay 1
  - leap{velocity=400} @target
  - delay 10
  - orbital{oT=樱花斩特效;oH=斩击命中;points=16;i=1;duration=20;r=2;oy=0.9;rz=0.7;hr=2;vr=2;vx=3} @Self
  - jump{velocity=0.01} @self
  - delay 1
  - leap{velocity=400} @target
  - delay 10
  - orbital{oT=樱花斩特效;oH=斩击命中;points=16;i=1;duration=60;r=2;oy=0.9;rz=-0.5;rx=-0.5;hr=2;vr=2;vx=100} @Self
  - jump{velocity=0.01} @self
  - delay 1
  - leap{velocity=400} @target
  - delay 20
  - ForcePull{s=0;vs=0} @target

妖刀村正剑气:
  Skills: 
  - sendtitle{fadein=10;fadeout=10;duration=20;title=&x&e&5&2&b&5&0&o剑技 - 十三式} @PIR{R=30}  
  - projectile{onTick=妖刀村正剑气特效;v=9;i=1;hR=2;vR=2;StopAtBlock=false;StopAtEntity=false;sfo=1.5;mr=18;syo=-4;ho=15;hs=true;oh=妖刀村正剑气击中伤害} @Forward{f=2;y=-1.0}
  - projectile{onTick=妖刀村正剑气特效;v=10;i=1;hR=2;vR=2;StopAtBlock=false;StopAtEntity=false;sfo=1.5;mr=20;syo=-4;hs=true;oh=妖刀村正剑气击中伤害} @Forward{f=2;y=-1.0}
  - projectile{onTick=妖刀村正剑气特效;v=9;i=1;hR=2;vR=2;StopAtBlock=false;StopAtEntity=false;sfo=1.5;mr=18;syo=-4;ho=-15;hs=true;oh=妖刀村正剑气击中伤害} @Forward{f=2;y=-1.0}
妖刀村正剑气击中伤害:
    Skills:
    - damage{a=3;pi=true}
    - effect:particles{particle=sweepAttack;amount=10;hS=0;vS=0.1;speed=0;y=0.2}
    - effect:sound{s=entity.player.attack.sweep;v=2.0;p=0.5}
妖刀村正剑气特效:
    Skills:
    - effect:particles{a=1;c=#FFC0CB;forwardOffset=0.9;yOffset=0.1}
    - effect:particles{a=1;c=#FFC0CB;forwardOffset=0.7;yOffset=0.5}
    - effect:particles{a=1;c=#FFC0CB;forwardOffset=0.7;yOffset=0.3}
    - effect:particles{a=1;c=#FFC0CB;forwardOffset=0.7;yOffset=0.1}
    - effect:particles{a=1;c=#FFC0CB;forwardOffset=0.7;yOffset=-0.1}
    - effect:particles{a=1;c=#FFC0CB;forwardOffset=0.5;yOffset=0.7}
    - effect:particles{a=1;c=#FFC0CB;forwardOffset=0.5;yOffset=0.5}
    - effect:particles{a=1;c=#FFC0CB;forwardOffset=0.5;yOffset=-0.1}
    - effect:particles{a=1;c=#FFC0CB;forwardOffset=0.3;yOffset=0.9}
    - effect:particles{a=1;c=#FFC0CB;forwardOffset=0.3;yOffset=0.7}
    - effect:particles{a=1;c=#FFC0CB;forwardOffset=0.3;yOffset=-0.1}
    - effect:particles{a=1;c=#FFC0CB;forwardOffset=0.1;yOffset=0.9}
    - effect:particles{a=1;c=#FFC0CB;forwardOffset=0.1;yOffset=-0.1}
    - effect:particles{a=1;c=#FFC0CB;forwardOffset=-0.1;yOffset=1.1}
    - effect:particles{a=1;c=#FFC0CB;forwardOffset=-0.1;yOffset=-0.1}
    - effect:particles{a=1;c=#FFC0CB;forwardOffset=-0.3;yOffset=1.3}
    - effect:particles{a=1;c=#FFC0CB;forwardOffset=-0.3;yOffset=1.1}
    - effect:particles{a=1;c=#FFC0CB;forwardOffset=-0.3;yOffset=-0.1}
    - effect:particles{a=1;c=#FFC0CB;forwardOffset=-0.5;yOffset=1.3}
    - effect:particles{a=1;c=#FFC0CB;forwardOffset=-0.5;yOffset=-0.1}
    - effect:particles{a=1;c=#FFC0CB;forwardOffset=-0.7;yOffset=1.5}
    - effect:particles{a=1;c=#FFC0CB;forwardOffset=-0.7;yOffset=-0.1}
    - effect:particles{a=1;c=#FFC0CB;forwardOffset=-0.9;yOffset=1.5}
    - effect:particles{a=1;c=#FFC0CB;forwardOffset=-0.9;yOffset=-0.1}
    - effect:particles{a=1;c=#FFC0CB;forwardOffset=-1.1;yOffset=1.5}
    - effect:particles{a=1;c=#FFC0CB;forwardOffset=-1.1;yOffset=-0.1}
    - effect:particles{a=1;c=#FFC0CB;forwardOffset=-1.3;yOffset=1.7}
    - effect:particles{a=1;c=#FFC0CB;forwardOffset=-1.3;yOffset=-0.1}
    - effect:particles{a=1;c=#FFC0CB;forwardOffset=-1.5;yOffset=1.7}
    - effect:particles{a=1;c=#FFC0CB;forwardOffset=-1.7;yOffset=1.9}
    - effect:particles{a=1;c=#FFC0CB;forwardOffset=-1.7;yOffset=1.7}
    - effect:particles{a=1;c=#FFC0CB;forwardOffset=-1.9;yOffset=1.9}
    - effect:particles{a=1;c=#FFC0CB;forwardOffset=-2.1;yOffset=1.9}
    - effect:particles{a=1;c=#FFC0CB;forwardOffset=-2.3;yOffset=1.9}
    - effect:particles{a=1;c=#FFC0CB;forwardOffset=-2.5;yOffset=2.1}
    - effect:particles{a=1;c=#FFC0CB;forwardOffset=-2.7;yOffset=2.1}
    - effect:particles{a=1;c=#FFC0CB;forwardOffset=-2.9;yOffset=2.1}
    - effect:particles{a=1;c=#FFC0CB;forwardOffset=-3.1;yOffset=2.1}
    - effect:particles{a=1;c=#FFC0CB;forwardOffset=-3.3;yOffset=2.3}
    - effect:particles{a=1;c=#FFC0CB;forwardOffset=-3.5;yOffset=2.3}
    - effect:particles{a=1;c=#FFC0CB;forwardOffset=-3.7;yOffset=2.3}
    - effect:particles{a=1;c=#FFC0CB;forwardOffset=-3.9;yOffset=2.3}
    - effect:particles{a=1;c=#FFC0CB;forwardOffset=-4.1;yOffset=2.3}
    - effect:particles{a=1;c=#FFC0CB;forwardOffset=-4.3;yOffset=2.5}
    - effect:particles{a=1;c=#FFC0CB;forwardOffset=-4.5;yOffset=2.5}
    - effect:particles{a=1;c=#FFC0CB;forwardOffset=-4.7;yOffset=2.5}
    - effect:particles{a=1;c=#FFC0CB;forwardOffset=-4.9;yOffset=2.5}
    - effect:particles{a=1;c=#FFC0CB;forwardOffset=-5.1;yOffset=2.5}
    - effect:particles{a=1;c=#FFC0CB;forwardOffset=-5.3;yOffset=2.5}